CREATE procedure [C6StagingPeriodico].[RP_ST_NeedArea] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_NeedArea',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_NeedArea  
 insert into C6StagingPeriodico.RP_NeedArea  
 /* 20161222 */  
 --select * from [CONSEVO].[CatalogoProdotti].dbo.NeedArea  
 select * from [CONSUNI].[CatalogoProdotti].dbo.NeedArea  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_NeedArea' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_NeedArea'  
  )  
end